Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hamster2102

[Yêu cầu]: lisp sao chép số liệu kích thước

Các bài được khuyến nghị

 

Bạn thử code này nhé :

(vl-load-com)
(defun Tue:ss-drag-move (ss p / el lp)
;;;copyright by Tue_NV
(setq el (entlast))
(if (and ss p (vl-cmdf "copy" ss "" p pause) (null (equal (getvar "lastpoint") p)))
   (setq lp (getvar "lastpoint")) (setq lp nil)
)
	(while (setq el (entnext el)) (entdel el))
lp)
(defun c:dkt(/ p1 p2 ob)
(while  (setq p1 (getpoint "\n diem do dau tien :"))	 
  (if (vl-cmdf "DIMALIGNED" p1 (setq p2 (getpoint p1 "\n diem do tiep theo :")) pause )
    (progn
      (setq ob (vlax-ename->vla-object (entlast)))
      (vla-addtext (vla-get-modelspace(vla-get-activedocument(vlax-get-acad-object)))
  		 (rtos (vlax-get ob 'Measurement) 2 (vlax-get ob 'PrimaryUnitsPrecision))
  		 (vlax-3d-point (vlax-get ob 'TextPosition)) (vlax-get ob 'TextHeight) )
      (setq ptt (Tue:ss-drag-move (ssadd (entlast) (ssadd)) (vlax-get ob 'TextPosition)) )
      (command "move" (entlast) "" (vlax-get ob 'TextPosition) ptt)
  	 
      )
   )
)
)

Nếu có thể cộng thêm cao độ vừa xuất ra một số nữa thì quá tuyệt luôn.

Ví dụ: đo cao độ ra A đến lúc ghi cao độ ra text thì là A+X (X tùy chọn) 

Làm giao thông thường đo cao độ mà có thêm mức so sánh nữa mà :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×